Bug 1470387 - Glitchy main screen
Glitchy main screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
26
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 17:44 EDT by Douglas
Modified: 2018-05-29 07:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:31:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Duplicated lists of apps on the main screen (227.16 KB, image/png)
2017-07-12 17:44 EDT, Douglas
no flags Details
Misplaced image (195.98 KB, image/png)
2017-07-12 17:44 EDT, Douglas
no flags Details

  None (edit)
Description Douglas 2017-07-12 17:44:15 EDT
Created attachment 1297276 [details]
Duplicated lists of apps on the main screen

Description of problem:
I often see duplicated lists on the initial screen of GNOME Software. They usually happen after browsing some apps and then returning to it. The "show more" arrow below the categories sometimes doesn't do anything. In addition, the image from the large header of "featured" apps will often be incorporated into some category tab's background, as you can see on the screenshots.


Version-Release number of selected component (if applicable):
Current Fedora 26 version of GNOME Software.

How reproducible:
Most of the time.

Steps to Reproduce:
1. Open GNOME Software
2. Browse it for a while
3. Come back to the initial screen.

Actual results:
Glitchy behavior, misplacement of images, buttons not working...

Expected results:
Consistent behavior, responsiveness.
Comment 1 Douglas 2017-07-12 17:44 EDT
Created attachment 1297277 [details]
Misplaced image
Comment 2 AsciiWolf 2018-02-02 07:04:33 EST
I believe that the first issue was recently fixed.

Upstream bug reports regarding the other issues:
https://gitlab.gnome.org/GNOME/gnome-software/issues/227
https://gitlab.gnome.org/GNOME/gnome-software/issues/209
Comment 3 Fedora End Of Life 2018-05-03 05:02:00 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 07:31:47 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.